# Changelog
_Last Modified on __date_modified___

## 6.1.1 - released 2023-06-26
### Added
- If `layoutSettings.controlsPosition` is set to inside and `layoutSettings.advertisingLabel` is an empty string, the 
  advertisingLabel will not be displayed.

### Changed
- The collision detection worked with scroll dependencies, this has now been changed to fixed points.
- Update to smartclientcore 6.4.3.

### Fixed
- Despite a MediaError, impression and view trackers are fired.
- Firefox freezes closed captions after toggling mute/unmute button.
- `startOpen` does not use default.


## 6.1.0 - released 2022-12-20
### Added
- SIMID Ad Support.

### Changed
- The intersection observer was exchanged with the collision detection over 2 squares.
- Update to smartclientcore 6.2.1.

### Fixed
- If the player is in the non-visible threshold area and the user presses "Play" and the display ended in this state,
 the display will play again when scrolling to the fully visible area.
- If the duration of an ad changes at runtime, this isn't be taken into account by the progressbar.
- The condition of the inventory was always `optin`.


## 6.0.13 - released 2022-11-22
### Fixed
- For multi-instances that are not protected by an iframe, some ES3 polyfills of the compiled source code interfere.
  Since it is no longer expected to run the Out-Stream Player in historical environments, the compile target has been
  raised to ES5. This removes the problematic polyfills and about 28 KB of file size.


## 6.0.12 - released 2022-11-04
### Fixed
- Skipping a VPAID ad only stops the interactive creative part but the media file keeps playing.

### Changed
- Update to smartclientcore 6.2.0.


## 6.0.11 - released 2022-09-23
### Changed
- ClosedCaptions on the bottom.
- Update to smartclientcore 6.1.10.


## 6.0.10 - released 2022-07-06
### Changed
- Update to smartclientcore 6.1.5.

### Fixed
- not considered promise in `playVideo` with an empty mediaFile delivery


## 6.0.9 - released 2022-06-24
### Changed
- In the case of SkipAd, the observer is now removed from the stage more quickly
- OM `accessMode` defaults to `full` (before `creative`)


## 6.0.8 - released 2022-05-24
### Fixed
- Error trackers are not requested with `prefetching` enabled and setting an `onCappedCallback`


## 6.0.7 - released 2022-05-10
### Changed
- Update to smartclientcore 6.1.4

### Fixed
- VPAID: initial size too small if the player expands animated (startOpen = false)


## 6.0.6 - released 2022-05-03
### Fixed
- Player is always in vertical dimension on mobile


## 6.0.5 - released 2022-04-27
### Fixed
- VPAID: initial resizing not working on large screens


## 6.0.4 - released 2022-04-14
### Changed
- Update to smartclientcore 6.1.3

### Fixed
- VPAID: initial resizing not working.
- Inswipe player doesn't remain in sticky position after ad slot completion and the UI gets lost.
- Inswipe player pauses/resumes when scrolling out of/into view.


## 6.0.3 - released 2022-03-31
### Fixed
- Player did not start with `controlsPosition` set different from `outside`.


## 6.0.2 - released 2022-03-18
### Fixed
- Moat VPAID: initial resizing not working.
- Player expands though the ad-response has no playable ads.


## 6.0.1 - released 2022-03-17
### Changed
- Update to smartclientcore 6.1.2

### Fixed
- Progress bar and replay button no longer work after the first replay.
- Progress bar and replay button do not work when the player is scrolled very slowly into view.


## 6.0.0 - released 2022-03-14
### Added
- added `vastMacros` to defaultConfig `coreSetup` as an extended handover to initAdSlot
- In addition to the generic `playerListener`, the player setup accepts a special case handler `onCappedCallback` that
  summarizes all errors related to the ad request chain and empty ad responses. If the ad response results in no playable
  ads, the function provided to `onCappedCallback` is executed (as known from player version 5).

### Changed
- Start using the changelog format based on [Keep a Changelog](https://keepachangelog.com)
- Introduces a new user interface
- Update to smartclientcore 6.1.1
- Setup has been separated into global (Out-Stream), smartclientcore and layout settings
- The properties `adVerification`, `trackImpressionOnStart`, `trackSkippedQuartiles`, `skipOffset` and `desiredBitrate`
  moved into a `coreObject`. This object can also be extended with all other known smartclientcore settings.

### Fixed
- The VAST macro `INVENTORYSTATE` is replaced according to player settings.


## 5.3.0 - released 2021-09-03
### Features
- Update to smartclientcore 6.0.0
- added configurable `adVerification`-Settings (see [Global Config](vendor_modules/smartclip/docs/setup-global-config.md))
- added `trackImpressionOnStart` and `trackSkippedQuartiles` flags

### Fixed
- Player does not collapse on `endingScreen: false`
- Out-Stream title not shown when starting open


## 5.2.9 - released 2021-08-05
### Fixed
- Out-Stream not starting with adResponse when visible


## 5.2.8 - released 2021-06-23
### Changed
- documentation update with `startOpen` defaulting to `true`


## 5.2.7 - released 2021-06-23
### Changed
- `startOpen` defaulting to `true`
- Deprecate setup flag `removePlayerOnCapped` as changing the default (`true`) interferes with the `startOpen` default

### Fixed
- Advertisement only starts playing at 100% visibility of the player with `startOpen = true`


## 5.2.6 - released 2021-06-22
### Changed
- Cleanup stops at the player-containing element. The surrounding container remains untouched in order to load a rich media fallback.
- Setting `startOpen = true` (default is `false`) immediately expands the player without transition. The player remains always open then.


## 5.2.5 - released 2021-05-10
### Others
- Build task not updating version numbers


## 5.2.4 - released 2021-05-07
### Bugfixes
- VPAID not completely expanding


## 5.2.3 - released 2021-04-28
### Others
- Package cleanup


## 5.2.2 - released 2021-04-28
### Others
- Updated Docker setup, replaces Yarn with Node package manager (NPM)


## 5.2.1 - released 2021-04-28
### Features
- Update to smartclientcore 5.2.4

### Bugfixes
- Video player resize is not passed into VPAID ads
- Callback sequence should match player version 4.12
- Replaced all occurrences of SpotX


## 5.2 - released 2020-12-03
### Features
- Update to smartclientcore 5.2.2
- Version output is now optional through debug flag in localStorage
- InventoryState macro is supported
- MediaMime macro support

### Bugfixes
- Industry icons were not shown if offset or duration were unset in tag
- Square/Vertical ads stopped working after last core update
- Runtime error when requesting error code from core
- Tracker timeout could have caused player to not stay open after ad played through


## 5.1.2 - released 2020-07-03
### Features
- Update to smartclientcore 5.1.2
- Added removePlayerOnCapped option


## 5.1.1 - released 2020-04-15
### Features
- Update to smartclientcore 5.0.1


## 5.1.0 - released 2020-02-07
### Features
- Update to smartclientcore 4.10.0 (which supports IAB TCF API)

### Bugfixes
- Player UI mute/unmute button works for VPAID


## 5.0.2 - released 2019-12-16
### Bugfixes
- onCappedCallback not fired


## 5.0.1 - released 2019-12-13
### Bugfixes
- onCappedCallback not fired
